Statalist


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

st: adoupdate question


From   Richard Williams <Richard.A.Williams.5@ND.edu>
To   statalist@hsphsun2.harvard.edu
Subject   st: adoupdate question
Date   Mon, 29 Jun 2009 16:06:25 -0400

I wonder if -adoupdate- becomes potentially dangerous for people who don't update their Stata version. Suppose you have Stata 10, and you have a routine you downloaded from SSC that works with Stata 10. Then, the author updates the program so it requires Stata 11. When you run -adoupdate-, won't the version that works with Stata 10 get overwritten by the version that requires Stata 11?

Most authors will probably keep a renamed version of the earlier program available, but it might be nice if adoupdate warned you when you were about to update to a program you can't run.

-------------------------------------------
Richard Williams, Notre Dame Dept of Sociology
OFFICE: (574)631-6668, (574)631-6463
HOME:   (574)289-5227
EMAIL:  Richard.A.Williams.5@ND.Edu
WWW:    http://www.nd.edu/~rwilliam

*
*   For searches and help try:
*   http://www.stata.com/help.cgi?search
*   http://www.stata.com/support/statalist/faq
*   http://www.ats.ucla.edu/stat/stata/



© Copyright 1996–2014 StataCorp LP   |   Terms of use   |   Privacy   |   Contact us   |   What's new   |   Site index